Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class Managers

    java.lang.Object
      oracle.ifs.fdk.Managers

Deprecated. - dharabor - replaced by `ManagersFactory`

    public class Managers

extends java.lang.Object

A collection of static methods that retrieve the appropriate module managers such as the session manager, file manager, version manager, etc.

(Unpublished)

Method Summary
`static ArchiveManager` | `getArchiveManager(FdkSession session)` Deprecated. Returns the Archive manager.
`static AuditManager` | `getAuditManager(FdkSession session)` Deprecated. Returns the AuditManager.
`static CategoryManager` | `getCategoryManager(FdkSession session)` Deprecated. Returns the Category manager used to support custom metadata.
`static CommonManager` | `getCommonManager(FdkSession session)` Deprecated. Returns the common manager used to perform common operations.
`static ContainerManager` | `getContainerManager(FdkSession session)` Deprecated. Returns the container manager.
`static DomainManager` | `getDomainManager(FdkSession session)` Deprecated. Returns the domain manager.
`static ExtendedFileContentManager` | `getFileContentManager(FdkSession session)` Deprecated. Returns the file content manager used to perform content operations.
`static FileManager` | `getFileManager(FdkSession session)` Deprecated. Returns the file manager used to perform basic file management operations.
`static GroupManager` | `getGroupManager(FdkSession session)` Deprecated. Returns the group manager used to perform operations on groups.
`static ExtendedLockManager` | `getLockManager(FdkSession session)` Deprecated. Returns the lock manager.
`static MailManager` | `getMailManager(FdkSession session)` Deprecated. Returns the Mail manager.
`static RequestManager` | `getRequestManager(FdkSession session)` Deprecated. Returns the request manager.
`static SearchManager` | `getSearchManager(FdkSession session)` Deprecated. Returns the search manager.
`static SecurityManager` | `getSecurityManager(FdkSession session)` Deprecated. Returns the security manager.
`static SessionManager` | `getSessionManager(FdkSession session)` Deprecated. Returns the session manager used to perform session and transaction operations.
`static SortManager` | `getSortManager(FdkSession session)` Deprecated. Returns the sort manager.
`static SystemConfigurationManager` | `getSystemConfigurationManager(FdkSession session)` Deprecated. Returns the system configuration manager used to query the configuration of the server.
`static TrashManager` | `getTrashManager(FdkSession session)` Deprecated. Returns the trash manager used to perform operations on trash folders.
`static UserManager` | `getUserManager(FdkSession session)` Deprecated. Returns the User manager used to support user operations.
`static VersionManager` | `getVersionManager(FdkSession session)` Deprecated. Returns the version manager used to perform versioning operations.
`static WorkflowManager` | `getWorkflowManager(FdkSession session)` Deprecated. Returns the workflow manager.
`static WorkspaceManager` | `getWorkspaceManager(FdkSession session)` Deprecated. Returns the workspace manager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSessionManager

    public static final SessionManager getSessionManager(FdkSession session)
                                                  throws FdkException

  Deprecated.
  Description copied from class: `Managers`
  Returns the session manager used to perform session and transaction operations.

  Parameters:
    `session` - the session context
  Returns:
    the manager instance that can be used with the specified session context
  Throws:
    `FdkException` - other: if the operation fails

### getSystemConfigurationManager

    public static final SystemConfigurationManager getSystemConfigurationManager(FdkSession session)
                                                                          throws FdkException

  Deprecated.
  Description copied from class: `Managers`
  Returns the system configuration manager used to query the configuration of the server.

  Parameters:
    `session` - the session context
  Returns:
    the manager instance that can be used with the specified session context
  Throws:
    `FdkException` - other: if the operation fails

### getFileManager

    public static final FileManager getFileManager(FdkSession session)
                                            throws FdkException

  Deprecated.
  Description copied from class: `Managers`
  Returns the file manager used to perform basic file management operations.

  Parameters:
    `session` - the session context
  Returns:
    the manager instance that can be used with the specified session context
  Throws:
    `FdkException` - other: if the operation fails

### getVersionManager

    public static final VersionManager getVersionManager(FdkSession session)
                                                  throws FdkException

  Deprecated.
  Description copied from class: `Managers`
  Returns the version manager used to perform versioning operations.

  Parameters:
    `session` - the session context
  Returns:
    the manager instance that can be used with the specified session context
  Throws:
    `FdkException` - other: if the operation fails

### getFileContentManager

    public static final ExtendedFileContentManager getFileContentManager(FdkSession session)
                                                                  throws FdkException

  Deprecated.
  Description copied from class: `Managers`
  Returns the file content manager used to perform content operations.

  Parameters:
    `session` - the session context
  Returns:
    the manager instance that can be used with the specified session context
  Throws:
    `FdkException` - other: if the operation fails

### getCommonManager

    public static final CommonManager getCommonManager(FdkSession session)
                                                throws FdkException

  Deprecated.
  Description copied from class: `Managers`
  Returns the common manager used to perform common operations.

  Parameters:
    `session` - the session context
  Returns:
    the manager instance that can be used with the specified session context
  Throws:
    `FdkException` - other: if the operation fails

### getGroupManager

    public static final GroupManager getGroupManager(FdkSession session)
                                              throws FdkException

  Deprecated.
  Description copied from class: `Managers`
  Returns the group manager used to perform operations on groups.

  Parameters:
    `session` - the session context
  Returns:
    the manager instance that can be used with the specified session context
  Throws:
    `FdkException` - other: if the operation fails

### getTrashManager

    public static final TrashManager getTrashManager(FdkSession session)
                                              throws FdkException

  Deprecated.
  Description copied from class: `Managers`
  Returns the trash manager used to perform operations on trash folders.

  Parameters:
    `session` - the session context
  Returns:
    the manager instance that can be used with the specified session context
  Throws:
    `FdkException` - other: if the operation fails

### getCategoryManager

    public static final CategoryManager getCategoryManager(FdkSession session)
                                                    throws FdkException

  Deprecated.
  Description copied from class: `Managers`
  Returns the Category manager used to support custom metadata.

  Parameters:
    `session` - the session context
  Returns:
    the manager instance that can be used with the specified session context
  Throws:
    `FdkException` - other: if the operation fails

### getDomainManager

    public static final DomainManager getDomainManager(FdkSession session)
                                                throws FdkException

  Deprecated.
  Description copied from class: `Managers`
  Returns the domain manager.

  Parameters:
    `session` - the session context
  Returns:
    the manager instance that can be used with the specified session context
  Throws:
    `FdkException` - other: if the operation fails

### getContainerManager

    public static final ContainerManager getContainerManager(FdkSession session)
                                                      throws FdkException

  Deprecated.
  Description copied from class: `Managers`
  Returns the container manager.

  Parameters:
    `session` - the session context
  Returns:
    the manager instance that can be used with the specified session context
  Throws:
    `FdkException` - other: if the operation fails

### getWorkspaceManager

    public static final WorkspaceManager getWorkspaceManager(FdkSession session)
                                                      throws FdkException

  Deprecated.
  Description copied from class: `Managers`
  Returns the workspace manager.

  Parameters:
    `session` - the session context
  Returns:
    the manager instance that can be used with the specified session context
  Throws:
    `FdkException` - other: if the operation fails

### getSearchManager

    public static final SearchManager getSearchManager(FdkSession session)
                                                throws FdkException

  Deprecated.
  Description copied from class: `Managers`
  Returns the search manager.

  Parameters:
    `session` - the session context
  Returns:
    the manager instance that can be used with the specified session context
  Throws:
    `FdkException` - other: if the operation fails

### getSecurityManager

    public static final SecurityManager getSecurityManager(FdkSession session)
                                                    throws FdkException

  Deprecated.
  Description copied from class: `Managers`
  Returns the security manager.

  Parameters:
    `session` - the session context
  Returns:
    the manager instance that can be used with the specified session context
  Throws:
    `FdkException` - other: if the operation fails

### getWorkflowManager

    public static final WorkflowManager getWorkflowManager(FdkSession session)
                                                    throws FdkException

  Deprecated.
  Description copied from class: `Managers`
  Returns the workflow manager.

  Parameters:
    `session` - the session context
  Returns:
    the manager instance that can be used with the specified session context
  Throws:
    `FdkException` - other: if the operation fails

### getUserManager

    public static final UserManager getUserManager(FdkSession session)
                                            throws FdkException

  Deprecated.
  Description copied from class: `Managers`
  Returns the User manager used to support user operations.

  Parameters:
    `session` - the session context
  Returns:
    the manager instance that can be used with the specified session context
  Throws:
    `FdkException` - other: if the operation fails

### getRequestManager

    public static final RequestManager getRequestManager(FdkSession session)
                                                  throws FdkException

  Deprecated.
  Description copied from class: `Managers`
  Returns the request manager.

  Parameters:
    `session` - the session context
  Returns:
    the manager instance that can be used with the specified session context
  Throws:
    `FdkException` - other: if the operation fails

### getLockManager

    public static final ExtendedLockManager getLockManager(FdkSession session)
                                                    throws FdkException

  Deprecated.
  Description copied from class: `Managers`
  Returns the lock manager.

  Parameters:
    `session` - the session context
  Returns:
    the manager instance that can be used with the specified session context
  Throws:
    `FdkException` - other: if the operation fails

### getSortManager

    public static final SortManager getSortManager(FdkSession session)
                                            throws FdkException

  Deprecated.
  Description copied from class: `Managers`
  Returns the sort manager.

  Parameters:
    `session` - the session context
  Returns:
    the manager instance that can be used with the specified session context
  Throws:
    `FdkException` - other: if the operation fails

### getArchiveManager

    public static final ArchiveManager getArchiveManager(FdkSession session)
                                                  throws FdkException

  Deprecated.
  Description copied from class: `Managers`
  Returns the Archive manager.

  Parameters:
    `session` - the session context
  Returns:
    the archive manager instance that can be used with the specified session context
  Throws:
    `FdkException` - if the operation fails

### getAuditManager

    public static final AuditManager getAuditManager(FdkSession session)
                                              throws FdkException

  Deprecated.
  Description copied from class: `Managers`
  Returns the AuditManager.

  Parameters:
    `session` - the session context
  Returns:
    the AuditManager instance that can be used with the specified session context
  Throws:
    `FdkException` - if the operation fails

### getMailManager

    public static final MailManager getMailManager(FdkSession session)
                                            throws FdkException

  Deprecated.
  Description copied from class: `Managers`
  Returns the Mail manager.

  Parameters:
    `session` - the session context
  Returns:
    the mail manager instance that can be used with the specified session context
  Throws:
    `FdkException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD